/* imagetypes.h:
 *
 * supported image types and the imagetypes array declaration.  when you
 * add a new image type, only the makefile and this header need to be
 * changed.
 *
 * jim frost 10.15.89
 */

Image *facesLoad(char *, char *, unsigned int);
Image *pbmLoad(char *, char *, unsigned int);
Image *sunRasterLoad(char *, char *, unsigned int);
Image *gifLoad(char *, char *, unsigned int);
Image *rleLoad(char *, char *, unsigned int);
Image *xwdLoad(char *, char *, unsigned int);
Image *xbitmapLoad(char *, char *, unsigned int);
Image *xpixmapLoad(char *, char *, unsigned int);
Image *g3Load(char *, char *, unsigned int);
Image *fbmLoad(char *, char *, unsigned int);
Image *pcxLoad(char *, char *, unsigned int);
Image *imgLoad(char *, char *, unsigned int);
Image *macLoad(char *, char *, unsigned int);
Image *cmuwmLoad(char *, char *, unsigned int);
Image *mcidasLoad(char *, char *, unsigned int);
Image *jpegLoad(char *, char *, unsigned int);
Image *imLoad(char *, char *, unsigned int);

int facesIdent(char *, char *);
int pbmIdent(char *, char *);
int sunRasterIdent(char *, char *);
int gifIdent(char *, char *);
int rleIdent(char *, char *);
int xwdIdent(char *, char *);
int xbitmapIdent(char *, char *);
int xpixmapIdent(char *, char *);
int g3Ident(char *, char *);
int fbmIdent(char *, char *);
int pcxIdent(char *, char *);
int imgIdent(char *, char *);
int macIdent(char *, char *);
int cmuwmIdent(char *, char *);
int mcidasIdent(char *, char *);
int jpegIdent(char *, char *);
int imIdent(char *, char *);
#ifdef USE_PNG
int pngIdent(char *, char *);
Image *pngLoad(char *, char *, unsigned int);
#endif
